es.gob.fnmt.gui

## Class CertificateUI

- java.lang.Object
- - es.gob.fnmt.gui.CertificateUI

-     public final class CertificateUI
      extends java.lang.Object

  Internal dialog to manage de selection of the certificate.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateUI(android.content.Context context)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static android.content.Context` | `getAppContext()` Return application context.
    `void` | `noCertificateAvailableAlert()` Dialog that warns that there is no certificate available.
    `static void` | `setAppContext(android.content.Context context)` Set application context.
    `void` | `setBackgroundColor(int color)` Set background color for layout of the dialog.
    `void` | `setBackgroundColor(java.lang.String color)` Set background color for layout of the dialog.
    `void` | `setTextColor(int color)` Set text color for the text component of the dialog.
    `void` | `setTextColor(java.lang.String color)` Set text color for the text component of the dialog.
    `void` | `setTextTypeFace(android.graphics.Typeface typeFace)` Set resource TypeFace for the text component of the dialog.
    `int` | `showCertificateSelectionDialog(java.security.cert.X509Certificate[] certificates)` Dialog that lists all the certificates available.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateUI

          public CertificateUI(android.content.Context context)

      Constructor.
      Parameters:
        `context` - application context.

  - ### Method Detail

    - #### noCertificateAvailableAlert

          public void noCertificateAvailableAlert()

      Dialog that warns that there is no certificate available.

    - #### showCertificateSelectionDialog

          public int showCertificateSelectionDialog(java.security.cert.X509Certificate[] certificates)

      Dialog that lists all the certificates available.
      Parameters:
        `certificates` - list of the certificates to show.
      Returns:
        the index of the certificate selected.

    - #### getAppContext

          public static android.content.Context getAppContext()

      Return application context.
      Returns:
        Context.

    - #### setAppContext

          public static void setAppContext(android.content.Context context)

      Set application context.
      Parameters:
        `context` - Context of the application.

    - #### setBackgroundColor

          public void setBackgroundColor(int color)

      Set background color for layout of the dialog.
      Parameters:
        `color` - int value in the form 0xAARRGGBB.

    - #### setBackgroundColor

          public void setBackgroundColor(java.lang.String color)

      Set background color for layout of the dialog.
      Parameters:
        `color` - string name of the color.

    - #### setTextColor

          public void setTextColor(int color)

      Set text color for the text component of the dialog.
      Parameters:
        `color` - int value in the form 0xAARRGGBB.

    - #### setTextColor

          public void setTextColor(java.lang.String color)

      Set text color for the text component of the dialog.
      Parameters:
        `color` - string name of the color.

    - #### setTextTypeFace

          public void setTextTypeFace(android.graphics.Typeface typeFace)

      Set resource TypeFace for the text component of the dialog.
      Parameters:
        `typeFace` - typeFace instance.